# $Revision: 1.28 $, $Date: 2012/03/27 18:14:09 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library

%define		mver	0.6
Summary:	A CSS2 parsing library
Summary(pl.UTF-8):	Biblioteka analizująca CSS2
Name:		libcroco
Version:	0.6.5
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libcroco/0.6/%{name}-%{version}.tar.xz
# Source0-md5:	d4d6313dd1c347d8a22addb240300338
BuildRequires:	autoconf >= 2.5
BuildRequires:	automake >= 1:1.9
BuildRequires:	glib2-devel >= 1:2.12.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gtk-doc-automake >= 1.0
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig >= 1:0.8
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.12.0
Requires:	libxml2 >= 1:2.6.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CSS2 parsing and manipulation library for GNOME.

%description -l pl.UTF-8
Biblioteka analizująca i obrabiająca CSS2 dla GNOME.

%package devel
Summary:	Header files for developing with libcroco
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów używających libcroco
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.12.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
This package provides the necessary header files files to allow you to
develop with libcroco.

%description devel -l pl.UTF-8
Ten pakiet dostarcza pliki nagłówkowe potrzebne do tworzenia
oprogramowania korzystającego z libcroco.

%package static
Summary:	Static version of libcroco library
Summary(pl.UTF-8):	Statyczna wersja biblioteki libcroco
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libcroco library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libcroco.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/csslint-%{mver}
%attr(755,root,root) %{_libdir}/libcroco-%{mver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcroco-%{mver}.so.3

%files devel
%defattr(644,root,root,755)
%doc docs/usage.txt
%attr(755,root,root) %{_bindir}/croco-%{mver}-config
%attr(755,root,root) %{_libdir}/libcroco-%{mver}.so
%{_libdir}/libcroco-%{mver}.la
%{_includedir}/libcroco-%{mver}
%{_pkgconfigdir}/libcroco-%{mver}.pc
%{_examplesdir}/%{name}-%{version}
%{_gtkdocdir}/libcroco

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcroco-%{mver}.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcroco.spec,v $
Revision 1.28  2012/03/27 18:14:09  kiesiu
- updated to 0.6.5

Revision 1.27  2012/02/12 08:23:14  qboosh
- updated to 0.6.4
- removed obsolete link patch

Revision 1.26  2011/11/15 20:19:20  qboosh
- updated to 0.6.3
- package gtk-doc files

Revision 1.25  2011/02/06 01:45:39  sparky
- bconds should be the very first thing, moved defines and includes after them

Revision 1.24  2009/12/01 01:09:42  sparky
- BR: gtk-doc-automake

Revision 1.23  2009/02/07 14:22:01  megabajt
- updated to 0.6.2

Revision 1.22  2008/07/27 23:04:52  arekm
- release 4

Revision 1.21  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.19  2006/11/29 10:57:11  megabajt
- release 3 (rebuild with P: *.la)

Revision 1.18  2006/07/12 16:46:03  freetz
- rel.2, --as-needed support, updated deps

Revision 1.17  2006/03/06 12:38:28  freetz
- 0.6.1

Revision 1.16  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.15  2005/06/15 18:03:01  witekfl
- added bcond_without static_libs

Revision 1.14  2004/11/27 19:21:09  saq
- massive attack: more BR epoch fixes

Revision 1.13  2004/11/18 22:35:08  qboosh
- fixed link patch, release 2

Revision 1.12  2004/11/16 14:21:17  qboosh
- TODO: broken linking to fix

Revision 1.11  2004/09/04 12:14:25  grzegol
- merged 0.6.0 from DEVEL
- rel. 1

Revision 1.10.2.1  2004/06/11 20:11:26  freetz
- 0.6.0, soname change - moved to DEVEL branch, simplifications
- where are manuals gone?!

Revision 1.10  2004/04/18 18:18:06  grzegol
- updated to 0.5.1

Revision 1.9  2004/03/18 22:07:36  qboosh
- link patch is back (updated); don't include useless Makefile* with examples

Revision 1.8  2004/03/18 00:13:21  adgor
- cp config.sub

Revision 1.7  2004/03/16 22:49:41  grzegol
- strict internal deps in -static subpackage

Revision 1.6  2004/03/16 22:07:05  aflinta
- up to version 0.5.0

Revision 1.5  2003/12/17 09:30:34  qboosh
- fixed broken update - restored linking fixes (as "link" patch)
- new-style bcond

Revision 1.4  2003/12/17 08:21:09  trojan
- updated to 0.4.0

Revision 1.3  2003/08/05 11:59:02  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.2  2003/07/18 09:39:16  qboosh
- fixed libcrlayeng linking in am patch
- more deps in -devel (because of *-config)

Revision 1.1  2003/07/17 18:45:30  qboosh
- new; added am patch to fix csslint includes and linking issues,
  and to avoid building empty layeng library

